# Generated by Django 3.2.6 on 2021-08-11 13:05

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0035_elections2021calendarpage"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021homepage",
            name="carousel",
            field=wagtail.fields.StreamField(
                [
                    (
                        "slide",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="titulek"),
                                ),
                                (
                                    "photo",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="fotka"
                                    ),
                                ),
                                (
                                    "button_label",
                                    wagtail.blocks.CharBlock(label="text tlačítka"),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka do tlačítka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                        ],
                                        required=False,
                                    ),
                                ),
                                (
                                    "raw_url",
                                    wagtail.blocks.CharBlock(
                                        label="ručně zadaný odkaz do tlačítka (místo stránky)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="obsah slideru",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021homepage",
            name="footer_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="menu projděte si v zápatí",
            ),
        ),
    ]
